package rozwiazania_zadan.r1.z06_zgadywanka;

import java.util.Random;
import java.util.Scanner;

public class MaloDuzo_v1 {

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		
		Random r = new Random();
		int szukana = r.nextInt(1000);
		System.out.println("Wylosowałem liczbę z zakresu od 0 do 999. Spróbuj ją odgadnąć...");
		
		int ileProb = 0;
		while(true) {
			ileProb += 1;
			System.out.println("Wprowadź liczbę: ");
			int propozycja = sc.nextInt();
			if(propozycja < szukana) {
				System.out.println("Podana liczba jest zbyt mała.");
			} else if(propozycja > szukana) {
				System.out.println("Podana liczba jest zbyt duża.");
			} else {
				System.out.println();
				System.out.println("Brawo! Tą liczbą jest " + szukana);
				System.out.println("Udało ci się odgadnąć w " + ileProb + " próbie.");
				break;
			}
		}
	}

}
